summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.15.1.ebuild46
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.37.6.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.37.6.ebuild67
-rw-r--r--dev-python/clang/Manifest5
-rw-r--r--dev-python/clang/clang-20.1.0.ebuild (renamed from dev-python/clang/clang-20.1.0_rc3.ebuild)1
-rw-r--r--dev-python/clang/clang-21.0.0_pre20250225.ebuild53
-rw-r--r--dev-python/django-js-asset/Manifest1
-rw-r--r--dev-python/django-js-asset/django-js-asset-3.1.2.ebuild36
-rw-r--r--dev-python/elasticsearch/Manifest1
-rw-r--r--dev-python/elasticsearch/elasticsearch-8.17.2.ebuild76
-rw-r--r--dev-python/inline-snapshot/Manifest1
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.20.5.ebuild62
-rw-r--r--dev-python/jaraco-vcs/Manifest1
-rw-r--r--dev-python/jaraco-vcs/jaraco-vcs-2.4.1.ebuild48
-rw-r--r--dev-python/lit/Manifest5
-rw-r--r--dev-python/lit/lit-20.1.0.ebuild (renamed from dev-python/lit/lit-20.1.0_rc3.ebuild)1
-rw-r--r--dev-python/lit/lit-21.0.0_pre20250225.ebuild45
-rw-r--r--dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild2
-rw-r--r--dev-python/mkdocs-git-revision-date-localized-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.4.0.ebuild64
-rw-r--r--dev-python/omemo-dr/omemo-dr-1.0.1.ebuild2
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-9.0.0.ebuild39
-rw-r--r--dev-python/pylast/Manifest1
-rw-r--r--dev-python/pylast/pylast-5.5.0.ebuild31
-rw-r--r--dev-python/python-axolotl-curve25519/python-axolotl-curve25519-0.4.1_p2-r4.ebuild2
-rw-r--r--dev-python/python-axolotl/Manifest1
-rw-r--r--dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild39
-rw-r--r--dev-python/qiskit-aer/Manifest1
-rw-r--r--dev-python/qiskit-aer/qiskit-aer-0.16.4.ebuild119
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.11.4.ebuild39
-rw-r--r--dev-python/types-setuptools/Manifest1
-rw-r--r--dev-python/types-setuptools/types-setuptools-75.8.2.20250305.ebuild16
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.146.1.ebuild60
39 files changed, 819 insertions, 107 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index ce495e1948b2..d3c5f76e5c4c 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1 +1,2 @@
DIST alembic-1.14.1.tar.gz 1918219 BLAKE2B ba86062e0662b75fdd616d27f235ff836622deceb412f760af2f75313b6b81d8b42e0fc1d49d0bb5e164cbd54d8fed5faa2f402dd51393aa9f57899a9a1e541f SHA512 ae3f31f102ff6e2903d0719051e58fb7b30c251a9ce20c22e658bb343ba252cb0d66adc429ec83fc65ce73d6a6f6ae1673c878de81f433baa16663393a14d3dd
+DIST alembic-1.15.1.tar.gz 1924789 BLAKE2B e4c5c9528638fad54dcc0ac65b34ee67b12967639aa2dccd11622a31b453e5b9384d72f6c69eed779bfbc42681fcdf6df0d922375ebc9159aeac0b8132681ca0 SHA512 8f1a536293c4ad8bf897ec4d4ea8ebe589a132db5ebd2859efde802e938f81e40ec08e20c477275a65e6f0e59cf0c34f128b54081e5f300ff343b0b21cc478db
diff --git a/dev-python/alembic/alembic-1.15.1.ebuild b/dev-python/alembic/alembic-1.15.1.ebuild
new file mode 100644
index 000000000000..70ebc9722605
--- /dev/null
+++ b/dev-python/alembic/alembic-1.15.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ sys-libs/timezone-data
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # setup.cfg contains -p no:warnings in addopts which triggers
+ # datetime.utcfromtimestamp() deprecation warning as an error in py3.12
+ epytest -o addopts=
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b73a8121680d..d233a157c08f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.36.21.gh.tar.gz 901823 BLAKE2B 9659b8f05c90deeeeedc19f8c1bbd777415b
DIST boto3-1.36.26.gh.tar.gz 903988 BLAKE2B f9bb945e9132a7af7bd92ff48e5a99cc89488283c30e2d7d0cbb22d9002bd41c5d5f8a449494d2aa4758648aca3c2e88dad8bebda640af4bba7df64e72ffd2bc SHA512 77a545fd94ed50114db72d7b763e232356e78cda7a2780c12c26b602ed85101218339adf6247ba45e3a8b16c33fb11f5fb34572a37dfeac43dd9322823372cc1
DIST boto3-1.37.4.gh.tar.gz 908620 BLAKE2B ed63365ccd6da9b97715e4110be2b562285a123139a90ddb10c1411d5bd5ba0de9c110177a31f03ecb7e257fd79a0de89a8be97493a83f3207050676f7022e04 SHA512 dbf40cb809ee1d3ef352b97f62c111d113293211226a63298979d8ea14833c83ac2e321714dac349bfe095f75120c2752d08a01c19e51d9b0fc947e27a910005
DIST boto3-1.37.5.gh.tar.gz 909313 BLAKE2B d31bd1ed08c60f351012a8b3711e43f7e4fb7a8fa76067b6b8026ad4d39ba4edf068a8246815271fa01264db8e9d76e6c08ea973e17676b8adfb79516e52de3f SHA512 f1d18b153b060599d3570bdc068be636dbd59e764d62120c678d6265878bfd9e0334885fa0b578207a6c83d02735161c919ab6d60f0a381245943f26d5d33b68
+DIST boto3-1.37.6.gh.tar.gz 910085 BLAKE2B de054f37bcf8d4cb01febbb7f874bb0fdfd3d812cfd103c4f8df14c6d74238c22ad37a604d638913021643421319ea4840beb028d663750b9fe543f535c610b1 SHA512 3b7b3e494b3be986a0f43ca6229cc2638821e7215533a118571c1d941a9790ed568e389e117807eceae8f8be2d202ea28341aec62af51fe4fb698c25bbdff147
diff --git a/dev-python/boto3/boto3-1.37.6.ebuild b/dev-python/boto3/boto3-1.37.6.ebuild
new file mode 100644
index 000000000000..dfe05b3d9a81
--- /dev/null
+++ b/dev-python/boto3/boto3-1.37.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index f3508dce0b79..1afcc3b66078 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.36.21.gh.tar.gz 14227102 BLAKE2B 66948337c21be8024c64ad5daf35dd5
DIST botocore-1.36.26.gh.tar.gz 14281837 BLAKE2B 925ebbca3e415ea7e3388c52e53a6d0a9a1aec001bd579293bfbbba5d756503371a137399d679926d5894f8f4e0fe498a37570dc4c19af99dfa67b4e3d374c3c SHA512 2f2d960a6519efae499acdb704d66a1f329927b30a53900ed035909847ca9a6c1a3b57291e0a0aa153b4bc49a959935b1840ad0d81244f8c2577fd4ba910fcf6
DIST botocore-1.37.4.gh.tar.gz 14291786 BLAKE2B ab55a62f2291e623e61a0ec6712241815279ae6d8f25e678adbf6cf167265d216f44b0eae78f2b66a454253dc4ef977b90c38f1aa329c855b38fa844eaa478b7 SHA512 07921ca8d51ff2afd8a4dafa77b40b5c24afa0351d71dbf68cef716573ba1f695a331634734fb6d9822eee55c91829128dbf215920e3da92ea2b40b727d0a0f6
DIST botocore-1.37.5.gh.tar.gz 14298752 BLAKE2B 99aade487be0277f66f0df5c4631e36c3972c4b14e7579bebd643044d9d2fb5264764053d5f0cd63b1d72d97c801e2ec185a07b8cea4551eed4978830ba791d6 SHA512 b7fbc9861aefe159ac0023d17fd72d9b2483b219244689a68c8f821debd8ba9420d85b296ef7a0a3ed881f286497722e78e78a43084efd5ddd48650d0d8433f0
+DIST botocore-1.37.6.gh.tar.gz 14320730 BLAKE2B 04d3c9efe73b815740550da2e3a447b52abd43e73e97b6186aaeb0433da75141fab145f2a10b59902ff50da7040297af93f4217329e4a4bb424681d7c55e5e2f SHA512 7435609ef6de25d470d2f7dca1f8e06adad10ad534eebe0c780982a715dec038e7b7ed1cdac4ff0d9beac46e22d304ffd7a3ae4bbf13f74299de1215f9458bf7
diff --git a/dev-python/botocore/botocore-1.37.6.ebuild b/dev-python/botocore/botocore-1.37.6.ebuild
new file mode 100644
index 000000000000..df85ee0d220c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.37.6.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index ac04024fa9ce..0bb30d78e9c4 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -10,7 +10,6 @@ DIST llvm-project-19.1.4.src.tar.xz 141255156 BLAKE2B b99cd8a96e38dbcfb582ee5d22
DIST llvm-project-19.1.4.src.tar.xz.sig 438 BLAKE2B b0925bdb761046d69779e0b035e29430bc09ef2b81be763aa5c853793631d7b7fdd65eb4dae7a1e3b4daa15d189c24cd1e14f065f79fdbf75429fa34be9b330e SHA512 3fb4a6c7594cb43680860698dac47062dde30de60f515dcecdad63812ea1edfb2cb209d0a7ac2254589c245a95b7c0f571b582e0d4b97a6ae8242563483ea764
DIST llvm-project-19.1.7.src.tar.xz 141249332 BLAKE2B 1259ed7f9aca7b35e89d818befdee20fd8bed4d2dc2c2c6f6f56451fd43d35ac03a0a5a406e142d22b25137999dc5b17471c196f8fcf79f20a8296832d900f6d SHA512 c7d63286d662707a9cd54758c9e3aaf52794a91900c484c4a6efa62d90bc719d5e7a345e4192feeb0c9fd11c82570d64677c781e5be1d645556b6aa018e47ec8
DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf6f30e75705123d067ea97175d91d7a5b6a75008df01d99ae7aa16aaa3b101f3f41e38d01f04158f95a261d617b3ede0254cd SHA512 195797b06ac80a742e0ccbc03a50dc06dd2e04377d783d5474e3e72c5a75203b60292b047929312a411d22b137a239943fba414a4d136a2be14cbff978eb6bda
-DIST llvm-project-20.1.0-rc3.src.tar.xz 147194560 BLAKE2B 888764927782b01e968c9ec326315375c6b1050d3852c7ebe7fbd06b3b4052307162f77a76f1e8976879178116ea909c581b8d1ee99dc7a4c5368b01d5597d23 SHA512 9de97104681de9c8039f03e94adc25fe1765280f826342fb4f616266aa0e4afe63db09a8cc3458252d8b2834e4efb2d17ed0226c62c7bb06d948ba8172ee078c
-DIST llvm-project-20.1.0-rc3.src.tar.xz.sig 566 BLAKE2B 411ad085c3ab83c1599d110d93a9279206885a01e4748b8ac015a9a94b89fe25c35eab38b213cafb7f733be03826ffc4a01eb52788e2742d44d41a487aff2e26 SHA512 53c5aaa963e883ff06ac7ec9b821dcc4476b79f5be0169667843b18cd8836e8993856a045f2aab23bc77faefc2983fd822cfb1219d5644cec67132d647c877d8
+DIST llvm-project-20.1.0.src.tar.xz 147206476 BLAKE2B 8e8bd8aa995a84d17ac7d634098a6b72a47c30f1752029b620f4541a2de4039edf09117286094ae7bc59c4e84374dcffb8e5ee6ef5feaf4ea7ddb58dd04ea803 SHA512 c90fbc43c40e148357912adc40d799a79cce3d3a929136c137421f6342ed7338659e651f1dedfa8e10b94b9f2897e25b2962e17709add02857f89f10615a2397
+DIST llvm-project-20.1.0.src.tar.xz.sig 566 BLAKE2B 98979ce89f3fe6e95eef6096066cf855245a585608e7d1fddb5bbb2c73077f3ee28204260e18d7e45e3051daae3639520c39bc3d0dc51524873ac213e2511456 SHA512 68da1c2a13aaa48a67bbb9e716f9f030cf372edc651bca2861453378a6a9172a207ff59e29b175001f042888bf1f9c118fbf938f757e1f4c966943baa7e2696a
DIST llvm-project-7e8a06cfa4a2951b8ee77e19e34926e6e535b4d1.tar.gz 228792296 BLAKE2B cd9357bdca9342770820f9fadfbd0b129a83324847f18e2ebac1fed8df4afb101aba2dc19d90264ae1e2d5692e34149ca24ef82a4973e7aeddb157268bb411b6 SHA512 9821a34a559e1db596940d76ce9388360baea43c1a9de814f567bfcf1428a0c6e3ced61b1e07537058454785d9c3aa3f443cbcf742a01fb40dd20b476a906442
-DIST llvm-project-d254fa877f419e61e54709f0a6f2e891da893a60.tar.gz 228028122 BLAKE2B 3321f3b205dfcd672d52122d7ba8e4e737916e01f5041a0dc140722f64359476632e036da0e0692cd366b080a073292cfdb4963e973bf800afabc20d06a2e86b SHA512 135c4864973b682cf41953d43d977eaa219a4a898fceb4b4a8cacbbc6a5dd271d26010b1db6c6c90e761bf3495036f3e7528ab259d48c9c4dc4a064332c0326f
diff --git a/dev-python/clang/clang-20.1.0_rc3.ebuild b/dev-python/clang/clang-20.1.0.ebuild
index a99c5601e047..1f732ff9189d 100644
--- a/dev-python/clang/clang-20.1.0_rc3.ebuild
+++ b/dev-python/clang/clang-20.1.0.ebuild
@@ -11,6 +11,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/clang/clang-21.0.0_pre20250225.ebuild b/dev-python/clang/clang-21.0.0_pre20250225.ebuild
deleted file mode 100644
index a99c5601e047..000000000000
--- a/dev-python/clang/clang-21.0.0_pre20250225.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for llvm-core/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=llvm-core/clang-${PV}:*
- !llvm-core/llvm:0[clang(-),python(-)]
- !llvm-core/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- llvm-core/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/django-js-asset/Manifest b/dev-python/django-js-asset/Manifest
index a11ab3c1c3d0..d67ef29b0fc5 100644
--- a/dev-python/django-js-asset/Manifest
+++ b/dev-python/django-js-asset/Manifest
@@ -1,2 +1,3 @@
DIST django_js_asset-3.0.1.tar.gz 7701 BLAKE2B c504f193b904c8ee3e528ccb69a71629c8a1e392e8e62f05cc1b19f9876d0b7e71de287c218ce5677a3a08d1f32064fc152a954e880403f223e45239698b4489 SHA512 db41a938338696a2dfc3fea6843598a99714c927358c31dfadac41cac743b8f98f7b38e00169496cd2ff54b6d1496bb644c1ccf47c632de767d2964318c9778d
DIST django_js_asset-3.1.0.tar.gz 9388 BLAKE2B e909dcdf06562f0d6733bb4fbac64ef5af47df04bab0d3a074bae93e3c159e3bf93ad00f97c7ed6da952b77fb0bec4feb1cf1d987ec49ce3d3a6b31ff8c3f9dd SHA512 ebe2d051148b9a7c573caec8423ecfc4b1bda1f717735efa79ec825f52aac84efb0008a1292b3e0fca153570bfbcbbb651cb0bac17304b0d8f95a1cbcbd60962
+DIST django_js_asset-3.1.2.tar.gz 9471 BLAKE2B 975bbadd6c342ed200f8f3abe9b94e034bc65bb41f6f64ac6b54ece193fdf10eb143cb83d314a26128449af021cfe139f9ee5d53d821fba0c664570c73688316 SHA512 e564bbac86a2d2663e3bb36b677bdb2c12b3ec43501ff624dcacc808994bea40764da541ca8410c0473c8fbfc290d21b565655b4d1b1dc115bcb7a2f6066115e
diff --git a/dev-python/django-js-asset/django-js-asset-3.1.2.ebuild b/dev-python/django-js-asset/django-js-asset-3.1.2.ebuild
new file mode 100644
index 000000000000..f8e648abee90
--- /dev/null
+++ b/dev-python/django-js-asset/django-js-asset-3.1.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Script tag with additional attributes for django.forms.Media"
+HOMEPAGE="
+ https://github.com/matthiask/django-js-asset/
+ https://pypi.org/project/django-js-asset/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ )
+"
+
+python_test() {
+ cd tests || die
+ local -x DJANGO_SETTINGS_MODULE=testapp.settings
+ "${EPYTHON}" manage.py test -v 2 || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/elasticsearch/Manifest b/dev-python/elasticsearch/Manifest
index 11d20655cd83..3b25f7498305 100644
--- a/dev-python/elasticsearch/Manifest
+++ b/dev-python/elasticsearch/Manifest
@@ -1 +1,2 @@
DIST elasticsearch-py-8.17.1.gh.tar.gz 1690228 BLAKE2B da442d4a9a469ed5fc5f9035652746a0d5b28e90644d9fd8afb5127bfc00ed15bbe5fde27efff0506d07dc48fdce72cd326eed36d86ba8a596e180e07c2e6b0d SHA512 45312d4ebe90c84c06a8e19d66618f668ad6b8a81b16a89ebf68136a925733a0373321df0726a967d7ede9f30c0e5be6fed1c69056e9ec1156e7cd784341c621
+DIST elasticsearch-py-8.17.2.gh.tar.gz 1757369 BLAKE2B faa6b0a0e1d8db10f2da1a5404d0353c89b7d48cfcc7433a2b3180a427bbbe33e5da40b2d6eef8f462cb67cc40e8497a4f67a9fd7ed851ac6376672c3a78afc8 SHA512 b63e30bf270f96ce25b2f80c77c5449e8a5cb6da75904f9bdfe20e208501ce2531f035998925a5157df8731c448ef3e1faecb6fb8a51bb0c3e8e4eef9ee58bc9
diff --git a/dev-python/elasticsearch/elasticsearch-8.17.2.ebuild b/dev-python/elasticsearch/elasticsearch-8.17.2.ebuild
new file mode 100644
index 000000000000..333f35fa900e
--- /dev/null
+++ b/dev-python/elasticsearch/elasticsearch-8.17.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="elasticsearch-py-${PV}"
+DESCRIPTION="Official Elasticsearch client library for Python"
+HOMEPAGE="
+ https://ela.st/es-python
+ https://github.com/elastic/elasticsearch-py/
+ https://pypi.org/project/elasticsearch/
+"
+SRC_URI="
+ https://github.com/elastic/elasticsearch-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/aiohttp-4[${PYTHON_USEDEP}]
+ >=dev-python/aiohttp-3[${PYTHON_USEDEP}]
+ <dev-python/elastic-transport-9[${PYTHON_USEDEP}]
+ >=dev-python/elastic-transport-8.15.1[${PYTHON_USEDEP}]
+ >=dev-python/orjson-3[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mapbox-vector-tile[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-api[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-sdk[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pyarrow[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ dev-python/unasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # REST api tests are a black hole for effort. It downloads the tests
+ # so its an ever moving target. It also requires effort to blacklist
+ # tests for apis which are license restricted.
+ "test_elasticsearch/test_server/test_rest_api_spec.py"
+ # Counting deprecation warnings from python is bound to fail even
+ # if all are fixed in this package. Not worth it.
+ "test_elasticsearch/test_client/test_deprecated_options.py"
+ # Running daemon for tests is finicky and upstream CI fails at it
+ # as well.
+ "test_elasticsearch/test_server/"
+ "test_elasticsearch/test_async/test_server/"
+ )
+
+ local -x TEST_WITH_OTEL=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -p asyncio
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index 60aab065e3b8..60e5db87ab88 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -1,3 +1,4 @@
DIST inline_snapshot-0.20.2.tar.gz 91060 BLAKE2B dc5dd87a809727f48a2bb376ffb602517c2acfad8ce8738d443f2dcf863b268b9ef1408771bdbfee6ccbb6d25ea3e8afdf2d690df021de196f30514a57ea0fb2 SHA512 e749efea54bdca1f399aa81335e65ab0e48887de6d4a9aa9905086886bdd44ef31eaf95c75edd5ee1e6ee011e31c450fb077d09f49415653e5c8e19a3ad4a944
DIST inline_snapshot-0.20.3.tar.gz 92067 BLAKE2B 594a6a5cda233f960492b5d076189111095a08b4653271713115b6a44cb84aa4a8f0d160ba1de60a0e6fa6f7b1dadcbef34d93d4c4b7e0ad6139552985637b9f SHA512 62484c27b0c08b10f2ce3648e975bab1b0563aa0bb1c471b7052cf94db266877ad21320f963003db9abdfc26a3987f0578052e129ef7448bdecbb3745247247e
DIST inline_snapshot-0.20.4.tar.gz 92164 BLAKE2B 5c4b105e94304b4bd508ef3d714b84ce4d1b43eb79193551b17c09291c6f86dedcccd75167a5440e972fe4a656f114ea06e584a5a4690d73349ec5625df10414 SHA512 6296336ab569a3e9022ea32c1d8fafa61319f41fd17cb1ce0f9ce6e319998f58a57f423d31579b269bf06e414cb60f388dd06427e4f9b2037af241c68f3c7262
+DIST inline_snapshot-0.20.5.tar.gz 92215 BLAKE2B a366a61f84d07481e1d9bf7033c691873d000f7e4dad100571481360134522db478453928fa9bce681f34d1951c75f9300bb61ce25bf950204fe168d6ed7a2fa SHA512 145dad40507ba7d457a74e63d920d2edcb24f4e7d263956912f5ec964210cae126f7e94771f1e64f5e47eca2e6124c6b87b36af5fb06d3e37242328be4daba8e
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.20.5.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.20.5.ebuild
new file mode 100644
index 000000000000..fb85b4885ecd
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.20.5.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+ https://15r10nk.github.io/inline-snapshot/
+ https://github.com/15r10nk/inline-snapshot/
+ https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+ >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pyright
+ 'tests/test_typing.py::test_typing[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
+ )
+
+ local -x COLUMNS=80
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=inline_snapshot.pytest_plugin,pytest_freezer,pytest_subtests.plugin,xdist.plugin
+ local -x PYTHONPATH=${S}/src
+ epytest -p pytest_mock
+}
diff --git a/dev-python/jaraco-vcs/Manifest b/dev-python/jaraco-vcs/Manifest
index 5ae1f03a9967..7f8a6cdcedff 100644
--- a/dev-python/jaraco-vcs/Manifest
+++ b/dev-python/jaraco-vcs/Manifest
@@ -1 +1,2 @@
DIST jaraco_vcs-2.4.0.tar.gz 17233 BLAKE2B 5e97b2fb83fa19936c1fd04dcf50b5ca3cb8d91424c65094c61e30491ff72920482aa51edf6402998284b2df1cc7804db90c35b80c83d12f8be80f69e1a4661c SHA512 8be749129a4c40882ac82ea017f1e616dd7995a1185e858229650c38d13833c75b2c60f854ad004797934b2f49a4264096f7eb2580630b2b6f3b2f7a9706070a
+DIST jaraco_vcs-2.4.1.tar.gz 18528 BLAKE2B 81fd683849d76affd6e57b8b4727cea47b7dbaba307e44b2b06e986145a9482098c9584283983e5c3f40d0b3aaa5d3133596393d7c85b9ccd448e05f51ea60ab SHA512 f859758b612c1523b20c208f4bc58eee551170768a9280a9cc827359d7cd72cb533a2fbcbc63af177c9891a98bf8f1c5527ebf0392060c596206897e8672f82b
diff --git a/dev-python/jaraco-vcs/jaraco-vcs-2.4.1.ebuild b/dev-python/jaraco-vcs/jaraco-vcs-2.4.1.ebuild
new file mode 100644
index 000000000000..b1e1ac7f19ca
--- /dev/null
+++ b/dev-python/jaraco-vcs/jaraco-vcs-2.4.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Facilities for working with VCS repositories"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.vcs/
+ https://pypi.org/project/jaraco.vcs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/jaraco-classes[${PYTHON_USEDEP}]
+ dev-python/jaraco-path[${PYTHON_USEDEP}]
+ dev-python/jaraco-versioning[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/tempora[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-home[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # assumes running inside the git repo
+ jaraco/vcs/__init__.py::jaraco.vcs
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p home -p jaraco.vcs.fixtures
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index ac04024fa9ce..0bb30d78e9c4 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -10,7 +10,6 @@ DIST llvm-project-19.1.4.src.tar.xz 141255156 BLAKE2B b99cd8a96e38dbcfb582ee5d22
DIST llvm-project-19.1.4.src.tar.xz.sig 438 BLAKE2B b0925bdb761046d69779e0b035e29430bc09ef2b81be763aa5c853793631d7b7fdd65eb4dae7a1e3b4daa15d189c24cd1e14f065f79fdbf75429fa34be9b330e SHA512 3fb4a6c7594cb43680860698dac47062dde30de60f515dcecdad63812ea1edfb2cb209d0a7ac2254589c245a95b7c0f571b582e0d4b97a6ae8242563483ea764
DIST llvm-project-19.1.7.src.tar.xz 141249332 BLAKE2B 1259ed7f9aca7b35e89d818befdee20fd8bed4d2dc2c2c6f6f56451fd43d35ac03a0a5a406e142d22b25137999dc5b17471c196f8fcf79f20a8296832d900f6d SHA512 c7d63286d662707a9cd54758c9e3aaf52794a91900c484c4a6efa62d90bc719d5e7a345e4192feeb0c9fd11c82570d64677c781e5be1d645556b6aa018e47ec8
DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf6f30e75705123d067ea97175d91d7a5b6a75008df01d99ae7aa16aaa3b101f3f41e38d01f04158f95a261d617b3ede0254cd SHA512 195797b06ac80a742e0ccbc03a50dc06dd2e04377d783d5474e3e72c5a75203b60292b047929312a411d22b137a239943fba414a4d136a2be14cbff978eb6bda
-DIST llvm-project-20.1.0-rc3.src.tar.xz 147194560 BLAKE2B 888764927782b01e968c9ec326315375c6b1050d3852c7ebe7fbd06b3b4052307162f77a76f1e8976879178116ea909c581b8d1ee99dc7a4c5368b01d5597d23 SHA512 9de97104681de9c8039f03e94adc25fe1765280f826342fb4f616266aa0e4afe63db09a8cc3458252d8b2834e4efb2d17ed0226c62c7bb06d948ba8172ee078c
-DIST llvm-project-20.1.0-rc3.src.tar.xz.sig 566 BLAKE2B 411ad085c3ab83c1599d110d93a9279206885a01e4748b8ac015a9a94b89fe25c35eab38b213cafb7f733be03826ffc4a01eb52788e2742d44d41a487aff2e26 SHA512 53c5aaa963e883ff06ac7ec9b821dcc4476b79f5be0169667843b18cd8836e8993856a045f2aab23bc77faefc2983fd822cfb1219d5644cec67132d647c877d8
+DIST llvm-project-20.1.0.src.tar.xz 147206476 BLAKE2B 8e8bd8aa995a84d17ac7d634098a6b72a47c30f1752029b620f4541a2de4039edf09117286094ae7bc59c4e84374dcffb8e5ee6ef5feaf4ea7ddb58dd04ea803 SHA512 c90fbc43c40e148357912adc40d799a79cce3d3a929136c137421f6342ed7338659e651f1dedfa8e10b94b9f2897e25b2962e17709add02857f89f10615a2397
+DIST llvm-project-20.1.0.src.tar.xz.sig 566 BLAKE2B 98979ce89f3fe6e95eef6096066cf855245a585608e7d1fddb5bbb2c73077f3ee28204260e18d7e45e3051daae3639520c39bc3d0dc51524873ac213e2511456 SHA512 68da1c2a13aaa48a67bbb9e716f9f030cf372edc651bca2861453378a6a9172a207ff59e29b175001f042888bf1f9c118fbf938f757e1f4c966943baa7e2696a
DIST llvm-project-7e8a06cfa4a2951b8ee77e19e34926e6e535b4d1.tar.gz 228792296 BLAKE2B cd9357bdca9342770820f9fadfbd0b129a83324847f18e2ebac1fed8df4afb101aba2dc19d90264ae1e2d5692e34149ca24ef82a4973e7aeddb157268bb411b6 SHA512 9821a34a559e1db596940d76ce9388360baea43c1a9de814f567bfcf1428a0c6e3ced61b1e07537058454785d9c3aa3f443cbcf742a01fb40dd20b476a906442
-DIST llvm-project-d254fa877f419e61e54709f0a6f2e891da893a60.tar.gz 228028122 BLAKE2B 3321f3b205dfcd672d52122d7ba8e4e737916e01f5041a0dc140722f64359476632e036da0e0692cd366b080a073292cfdb4963e973bf800afabc20d06a2e86b SHA512 135c4864973b682cf41953d43d977eaa219a4a898fceb4b4a8cacbbc6a5dd271d26010b1db6c6c90e761bf3495036f3e7528ab259d48c9c4dc4a064332c0326f
diff --git a/dev-python/lit/lit-20.1.0_rc3.ebuild b/dev-python/lit/lit-20.1.0.ebuild
index 4230fa63b2a4..2370c09d76de 100644
--- a/dev-python/lit/lit-20.1.0_rc3.ebuild
+++ b/dev-python/lit/lit-20.1.0.ebuild
@@ -13,6 +13,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/lit/lit-21.0.0_pre20250225.ebuild b/dev-python/lit/lit-21.0.0_pre20250225.ebuild
deleted file mode 100644
index 4230fa63b2a4..000000000000
--- a/dev-python/lit/lit-21.0.0_pre20250225.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- llvm-core/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from llvm-core/llvm)
-
-src_prepare() {
- # flaky test
- # https://github.com/llvm/llvm-project/issues/72022
- rm tests/progress-bar.py || die
-
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
index b4bdcb453eec..b07cf94e9b70 100644
--- a/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
+++ b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest b/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
index 715f0932dd4b..de6c3192df8f 100644
--- a/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
+++ b/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
@@ -1 +1,2 @@
DIST mkdocs-git-revision-date-localized-plugin-1.3.0.gh.tar.gz 378511 BLAKE2B e922d0ce5dd37f92c11a37d7c02a59fc776a1a4245823a2275c600c6348cc7f97a2a8b43919a5cdbe03e8b23623f0c7d22cf92eb728d6f11d7472db5b78e98a1 SHA512 6e6c085ae861382a932817264c00de55f94b8b09349c18206c1644487a7476d4494f0b451b31510de4ba3a5d4934514923521c8c4c5aca84a8183f5cd574177d
+DIST mkdocs-git-revision-date-localized-plugin-1.4.0.gh.tar.gz 383048 BLAKE2B 7e7b2fadb1b03409ad81c8a4d70e3a84e41a0b616f10d9ccb0eeed43e31e762478de5a598e5b1afa3466659fe60e9687b9fd2c5ad4ebd2ff3dc42e8d7005a66f SHA512 18d9e59d38cb54ea1aa8fef53d5dcf6cf680d209ad45fa66b0355a5691cf93a63affdccc9a4a5f07223e7d7bde1ed751e985a42f628acdf6d6a4cd8c0947a1a9
diff --git a/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.4.0.ebuild b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.4.0.ebuild
new file mode 100644
index 000000000000..2a1bd10f54a4
--- /dev/null
+++ b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.4.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/regex
+ dev-python/mkdocs-static-i18n
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-authors-plugin
+ dev-python/mkdocs-git-revision-date-localized-plugin
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Display the localized date of the last git modification of a markdown file"
+HOMEPAGE="
+ https://github.com/timvink/mkdocs-git-revision-date-localized-plugin/
+ https://pypi.org/project/mkdocs-git-revision-date-localized-plugin/
+"
+SRC_URI="
+ https://github.com/timvink/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/babel-2.7.0[${PYTHON_USEDEP}]
+ dev-python/gitpython[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.0[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ dev-python/mkdocs-static-i18n[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+ doc? ( dev-vcs/git )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # mkdocs-git-revision-date-localized-plugin's tests need git repo
+ if use test || use doc; then
+ git init -q || die
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+ git add . || die
+ git commit -qm 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild b/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild
index a4b606052fcb..498b853d7dd4 100644
--- a/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild
+++ b/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index f672c9304b2c..1ce38f0b327f 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
DIST python-phonenumbers-8.13.54.gh.tar.gz 4916422 BLAKE2B f6c8ce2a75a78283fab6519f1d454c8ff8254b6286f015e767cc20923ec78b7f94f0ebbcbd979afabf8cd9c36d6cbf7b73b9818cd1b2e2dc5781c9f195ed6ce0 SHA512 f6caf29dc5218f427e46e65cb0cf73ab51f505c3115e3266378f87e709e6e445010f569013d65bbf89d166aa3930d48775efef2134c73db73359bb7d1d1d1377
DIST python-phonenumbers-8.13.55.gh.tar.gz 4916409 BLAKE2B 4562e04b04b34f58d1fe128709e4867b9dbe4f9f05bbfdfb505d2fc42a0a4f7cc2277e8bd79e0df23ae6f447de7f7eb6a9622b276034d4187941c9f3335c821a SHA512 d3e81afd9867f5b0ef81ae033dc42211601737b31fa4c7e2ca9c404d5c5c06dbc85506d7b58fffade05c563b2c1b28b516ec95ee9b95d3fd2ba57be9e6c01dd5
+DIST python-phonenumbers-9.0.0.gh.tar.gz 4916419 BLAKE2B a6bf613d2c0f5275ab0a3628029523c244088acedb733beb78753547c088d35aa7a59818e27a8041ea119399508a9d9232d9e20475983993b5f8e8b144b8e6f5 SHA512 3341c3e03b9b4fc0a5117c632954f0635dae7f2bf2d7d824e3b198ff8fd4571331c506236560e5281dfdea1b4bedf6241441f2725897ebbcb825622fc952d2dc
diff --git a/dev-python/phonenumbers/phonenumbers-9.0.0.ebuild b/dev-python/phonenumbers/phonenumbers-9.0.0.ebuild
new file mode 100644
index 000000000000..85e8daf426e4
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-9.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pylast/Manifest b/dev-python/pylast/Manifest
index 85bb6d09394a..b49e9111428e 100644
--- a/dev-python/pylast/Manifest
+++ b/dev-python/pylast/Manifest
@@ -1,2 +1,3 @@
DIST pylast-5.3.0.tar.gz 41552 BLAKE2B 0d6fd60e02f6106cbbfe2027614d8d403c54ee1f749ea697dba7d863e7a1fc647f95d2ea341e1d0ecfa2900a1ae117920466bb8f8a0728c5a9dea6be8d1009f0 SHA512 b8d015d9d1452a650a6fc05019a145c2c5104c1acd0e296d7a9b536fd91710b4efe3dab2646b4b373ca13278fbdc385a64472829dfd1cf8980a22a5f2314afe9
DIST pylast-5.4.0.tar.gz 44746 BLAKE2B c3c5ad87079c95e40120fae8a5f8cbf24ff4878e1880c1cd7e612978bbc41b34612fc2a75509e9029296f559d1a562e2b59899335c052d6dd8a731af56dc3388 SHA512 2d4b4cd19c9d1a8726ce95565e3943d6c7f2fb4420f8ba1a81c81eb6c358d044f8577e63c3ccca8dc397fdaf072dd269103c0e940a758cd0f3ba7a49fc5e05cb
+DIST pylast-5.5.0.tar.gz 45569 BLAKE2B 397efaf358f58eee91cc1c047496a43259b54f645ce8de01ac14589e4a1098887f9d48099d3373da3e68e1c9c04adc31edf5869e539e9dbe67290f8e8a70a956 SHA512 c4776bf1f430ab8f819dceadbf3efd79ce61bce4780588cd82f12ff99c2cdb96f08871b14693e81183bafe03afd5dda242eebd083e60cc5d035b5ca0f42cc289
diff --git a/dev-python/pylast/pylast-5.5.0.ebuild b/dev-python/pylast/pylast-5.5.0.ebuild
new file mode 100644
index 000000000000..cb4d988317bb
--- /dev/null
+++ b/dev-python/pylast/pylast-5.5.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface to last.fm and other api-compatible websites"
+HOMEPAGE="
+ https://pypi.org/project/pylast/
+ https://github.com/pylast/pylast/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/httpx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-axolotl-curve25519/python-axolotl-curve25519-0.4.1_p2-r4.ebuild b/dev-python/python-axolotl-curve25519/python-axolotl-curve25519-0.4.1_p2-r4.ebuild
index 2ff034031c5f..ef19388eceec 100644
--- a/dev-python/python-axolotl-curve25519/python-axolotl-curve25519-0.4.1_p2-r4.ebuild
+++ b/dev-python/python-axolotl-curve25519/python-axolotl-curve25519-0.4.1_p2-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/python-axolotl/Manifest b/dev-python/python-axolotl/Manifest
index ae861073a31d..43fb35fe67ae 100644
--- a/dev-python/python-axolotl/Manifest
+++ b/dev-python/python-axolotl/Manifest
@@ -1 +1,2 @@
+DIST python-axolotl-0.2.3-update-proto.patch 63323 BLAKE2B 2d922584ed0f92c115b1eca8dee26ed27ae91c31702dd91d81c80495712f70cc96a9c1c1332358f2c70d5331378609fcfb09350862cf07eeec37fc63fe5e9759 SHA512 3d2457af683b073450587b61076e09704036f8081b2ce5150e1be347b2a0081bb8b338169c111e6416770d6c3aed7251dd225a7d8b1c58409756e3176aa96c6f
DIST python-axolotl-0.2.3.gh.tar.gz 52139 BLAKE2B 8539f4ff6d9d7e57965cdbbd510f499cf344490091fe56b013d1ab60986092ac8a7a76248624993692077020043ea21c1d9448ecf9b76a698b43da4e014f37ab SHA512 1a10dc9df2f95d19b49909d4d136b5266aae19e24ac84f8b263ae7d4de18f77353c737616ac0648b600e05699a90d348f95c6c1659849986becefb4a0277fc80
diff --git a/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild b/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild
new file mode 100644
index 000000000000..0ce3affb16bf
--- /dev/null
+++ b/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python module for the axolotl protocol"
+HOMEPAGE="
+ https://github.com/tgalal/python-axolotl/
+ https://pypi.org/project/python-axolotl/
+"
+SRC_URI="
+ https://github.com/tgalal/python-axolotl/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://github.com/parona-source/python-axolotl/commit/f23e151c2f27043c7261eb07dd50f269abf51dce.patch
+ -> python-axolotl-0.2.3-update-proto.patch
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv x86"
+
+PATCHES=(
+ # https://bugs.gentoo.org/936053
+ # https://github.com/tgalal/python-axolotl/pull/46
+ "${DISTDIR}"/python-axolotl-0.2.3-update-proto.patch
+)
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.20[${PYTHON_USEDEP}]
+ dev-python/python-axolotl-curve25519[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/qiskit-aer/Manifest b/dev-python/qiskit-aer/Manifest
index caef656804ed..a417a391272b 100644
--- a/dev-python/qiskit-aer/Manifest
+++ b/dev-python/qiskit-aer/Manifest
@@ -1,2 +1,3 @@
DIST qiskit-aer-0.16.1.gh.tar.gz 7137732 BLAKE2B 0f522bae3e2d324171bdf0a3bb8f1c99c8c1b9beac4932146dddb51616ad6b47236ffe15d533cdee64dfbd9b48ca5f24f26774e4487d2b3238f02939908b5891 SHA512 31c57ab09fecb5452205d7c8fb550384bf6e24aaa4a9665d37a7833f6353861407136f0c36fe85c8d26c386bb37b16e3298daa2c81c2aec384c69de0d3a87ee6
DIST qiskit-aer-0.16.2.gh.tar.gz 7137908 BLAKE2B 5fe314b0dfb36a387e21f85113744b499a38ed8b52c218d8e9d47303325c541616c1cffd3a0514688809ee2949664d45b762f57bde3277abe247e02564370b1b SHA512 2a218b7da34d29b2d8628a7e819b7073bff99c396ecafa5946cc881ef73787744ee2704b33889da77eb8a92acf0ad7e96f81bbf43fc6bd71416a602049d959aa
+DIST qiskit-aer-0.16.4.gh.tar.gz 7136787 BLAKE2B b074dc088a5b26c894a5fa4ff227c9e726bd9f22265b4d1138ba944e7da5355a4715ce0ba3a5faee1752b94a74d79646277009e9f52fab882840c241f26799cc SHA512 f331cd44a59ae91aeca7af7248b1112b8a6031d8bd26f14b53d303ca94c2a9465ebfe815c59ca06ec036d8e6231b4fffdf27d5e7838dd425c0d7d84a5c5ac5d6
diff --git a/dev-python/qiskit-aer/qiskit-aer-0.16.4.ebuild b/dev-python/qiskit-aer/qiskit-aer-0.16.4.ebuild
new file mode 100644
index 000000000000..5084b9394159
--- /dev/null
+++ b/dev-python/qiskit-aer/qiskit-aer-0.16.4.ebuild
@@ -0,0 +1,119 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="High performance simulator for quantum circuits that includes noise models"
+HOMEPAGE="
+ https://github.com/Qiskit/qiskit-aer/
+ https://pypi.org/project/qiskit-aer/
+"
+SRC_URI="
+ https://github.com/Qiskit/qiskit-aer/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# The reference implementation of BLAS/CBLAS is not compatible with qiskit-aer right now,
+# because importing library causes an error.
+# /usr/lib/python3.9/site-packages/qiskit/providers/aer/backends/controller_wrappers.cpython-39-x86_64-linux-gnu.so: undefined symbol: slamch_
+# Using sci-libs/openblas instead here,
+# with the option to switch between reference/openblas implementation runtime (eselect-ldso).
+#
+# <nlohmann_json-3.10.3 for https://github.com/Qiskit/qiskit-aer/issues/1742
+DEPEND="
+ >=dev-python/numpy-1.16.3[${PYTHON_USEDEP}]
+ <dev-cpp/nlohmann_json-3.10.3
+ >=dev-cpp/nlohmann_json-3.1.1
+ >=dev-libs/spdlog-1.9.2:=
+ >=dev-cpp/muParserX-4.0.8
+ virtual/cblas[eselect-ldso]
+ sci-libs/openblas[eselect-ldso]
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/qiskit-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-build/cmake-3.17
+ >=dev-python/scikit-build-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.6[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+check_openblas() {
+ local libdir=$(get_libdir) me="openblas"
+
+ # check blas
+ local current_blas=$(eselect blas show ${libdir} | cut -d' ' -f2)
+ if [[ ${current_blas} != "${me}" ]]; then
+ eerror "Current eselect: BLAS/CBLAS ($libdir) -> [${current_blas}]."
+ eerror "To use qiskit-aer, you have to issue (as root):"
+ eerror "\t eselect blas set ${libdir} ${me}"
+ return 1
+ fi
+ return 0
+}
+
+pkg_setup() {
+ if use test; then
+ check_openblas
+ if [[ $? -ne 0 ]]; then
+ die "Set blas implementation to openblas using 'eselect blas set openblas'!"
+ fi
+ fi
+}
+
+python_prepare_all() {
+ export DISABLE_CONAN="ON"
+ export DISABLE_DEPENDENCY_INSTALL="ON"
+ export SKBUILD_CONFIGURE_OPTIONS="-DTEST_JSON=1"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires qiskit_qasm3_import
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_1___automatic____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_2___statevector____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_3___matrix_product_state____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_4___extended_stabilizer____CPU__
+ )
+
+ local EPYTEST_IGNORE=(
+ # TODO: qiskit.providers.aer? wtf?
+ test/terra/expression/test_classical_expressions.py
+ )
+
+ # From tox.ini/tests.yml in CI
+ # Needed to suppress a warning in jupyter-core 5.x by eagerly migrating to
+ # a new internal interface that will be the default in jupyter-core 6.x.
+ # This variable should become redundant on release of jupyter-core 6.
+ local -x JUPYTER_PLATFORM_DIRS=1
+
+ rm -rf qiskit_aer || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -s
+}
+
+pkg_postinst() {
+ check_openblas
+}
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index 9650dde1e34c..960eeefa4608 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1,3 +1,4 @@
DIST s3transfer-0.10.4.tar.gz 145287 BLAKE2B 0b15068862236237287243237639310d35de942b0d3d399edd5ee924195ee8f45b2badea4b02f8dceef64f034111a810910b8208cb6e0c5db070b39f5c39f615 SHA512 671d95e9f507bdca8cf53b88cd28285f9c2ae1456fcb24ba4a61a75d30e8c8fa8b2a4faa8c8364114dc3e5c57f630d5b61575847b167e37b3de44b42c45f6a63
DIST s3transfer-0.11.2.tar.gz 147885 BLAKE2B ec8e8bbcce2136dbc3ddc502ee166ac4bec3c3236c13238a5f9bd8be93671c3d445cef3fe952491aebb43e6db05350f615e3a44e992f3dbd06ee54696f284d10 SHA512 f118422878cfbbbc965ddecc6e93e49d194e68fce223ddf0bb7ff342ba48fa6fd0621cdc158e7e0bd1f35f22bafaed259e743304f4aac23bc58679e955dd9b40
DIST s3transfer-0.11.3.tar.gz 148042 BLAKE2B 05cc685f969029ad832c990c3d3a24ea2bfe9a628e182f36cfb16deccf0565192ae1e588433a95ca760952b11ec94318f8ef4d6dda0007967927daeb512e232f SHA512 22e0a6c028dd93c0cac59bf2acc2b2fd9a964941288559c348ac75807ecb0d8c86e6d7f4e1955aea68e19e424e5d123ad8d17e6b6351420b73a633fecb526677
+DIST s3transfer-0.11.4.tar.gz 148419 BLAKE2B 140cdc5810cde2d758726ff0605d2fcf45ed0f1001e5f66f37ff1c5502129cc3e329fe2c67298eb541fba75ccb977c8fabd1fca2d059c7d46c16ba3a9ecbdabf SHA512 824e03bccd8d724ebe8146f8c2b115c0d43ffe3a89d005f7cfa53431140130c77997b66fc605ea1a61d3291f4d808e6869150466b2f30a216c2290e902554c5b
diff --git a/dev-python/s3transfer/s3transfer-0.11.4.ebuild b/dev-python/s3transfer/s3transfer-0.11.4.ebuild
new file mode 100644
index 000000000000..b961e21eb65c
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.11.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+ https://github.com/boto/s3transfer/
+ https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/botocore-2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.37.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}
diff --git a/dev-python/types-setuptools/Manifest b/dev-python/types-setuptools/Manifest
index 8557dd0ee427..2302b556a281 100644
--- a/dev-python/types-setuptools/Manifest
+++ b/dev-python/types-setuptools/Manifest
@@ -1,2 +1,3 @@
DIST types_setuptools-75.8.0.20250225.tar.gz 48448 BLAKE2B dd7ea2540369df155f466c8d0b5f8b01070c1a6824ca21eff68f6a44506fb6bd2c98d4609eb9247dd0f42cbf831c2ed093f2d2aac3e81094626e734d6bbdaa9e SHA512 12d8b695c2cf4655c7cab771eac4a0e11253ed6b1d4b6c5dc57fa23c5eb6f6e365bb674ad84cdfde7d77b2128eca28c9f4f5f9f68c6d559e63e5c2d9e445949a
DIST types_setuptools-75.8.2.20250301.tar.gz 48468 BLAKE2B c880369fc2545a8b3762cce89f3d441d8576f5a74f77eb14fb5772b7528d7f6ea8e6590e2b9d49a9311d20d45ea98ae1889cd828d7e2795e7680e6c58c248fce SHA512 60261095cae1f3f3ca26981ee4f914d9d5aca7f5ed62318180655ce062b8397b3808ae2dad0b423c5e30832509909a1e8267e4c47c96366ac75b491fb18f8b58
+DIST types_setuptools-75.8.2.20250305.tar.gz 42609 BLAKE2B b54727f3dfd7ee554c35052b9edd2b598cd13b78de6fbf30fc2e95d3c01557e4e612869dd81828f52e982b4ac17a188bfd1c5c49f44e3ce00db019a3624bda40 SHA512 610b26a0dce431815858a2ed89a1be32127916d6b6aa9e4fa38aee45d5f416780a7ef38dcba5dd97f7e3958b580950dc2cbb75378d69cf1e6d611fbc7d00a526
diff --git a/dev-python/types-setuptools/types-setuptools-75.8.2.20250305.ebuild b/dev-python/types-setuptools/types-setuptools-75.8.2.20250305.ebuild
new file mode 100644
index 000000000000..4d6bfa0439df
--- /dev/null
+++ b/dev-python/types-setuptools/types-setuptools-75.8.2.20250305.ebuild
@@ -0,0 +1,16 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for setuptools"
+HOMEPAGE="https://pypi.org/project/types-setuptools/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index a63312534cc9..114b6dad0297 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1,2 +1,3 @@
DIST zeroconf-0.144.3.tar.gz 161347 BLAKE2B 43f75df44a95d58ec372fbd68013cce2c9e4c78fa5b5c445604c8cb8281fbf4b96b6625c5867ca2817877d81c28824a0b8fab322e2da326b864ead539561a359 SHA512 c849a8b1ade29a34e7a4a4ad7710368eba6253408eae9b655381625b79170b7deeecf0d4be4821ee598a2af1a431803b2f6a072a4c61e94cee5ec0a9895a0153
DIST zeroconf-0.145.1.tar.gz 161640 BLAKE2B 7a51237fa238db0bd6ff7bc2537ae9535351ccf087e1b4dd99610164ae7a94f4faf9a0eba6932a8ede488bbd67533a9bf19299037e37163df00674d1c583cdf5 SHA512 9b5dc03ff77ea5d0d0df8ae05218c1aaf43f31f3d3a3fb11c95799ad81e238959eda1b8adf45c0ca34e28c38784f96647dc2e1b7689579658df2ec0e1e0de844
+DIST zeroconf-0.146.1.tar.gz 161874 BLAKE2B 042bc3747dac7a63e05b454a12b5884d293490909e662cf8c7ab7bf871bd4983bbf04cb2eb2ae6e075a82ab586f95ef13c201875d42250898f234f69a288b21e SHA512 a0834e37f07e465e2bf4b99ac7630f98b7c09d9608ecd86d3b8e2a3cd9c3978c400f342b97c7299f10fe07de669356c088f74e4bb26d9316c98219844dee6392
diff --git a/dev-python/zeroconf/zeroconf-0.146.1.ebuild b/dev-python/zeroconf/zeroconf-0.146.1.ebuild
new file mode 100644
index 000000000000..503705515b10
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.146.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-3.0.8[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+
+ # randomly broken by a leftover thread?
+ tests/test_circular_imports.py::test_circular_imports
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -p asyncio
+}